package cn.exploring.engine.server.db.domain.vo;

import cn.exploring.engine.server.db.domain.StudentPointInfo;
import cn.zhxu.bs.bean.DbField;
import cn.zhxu.bs.bean.SearchBean;

@SearchBean(
        tables = "(select * from student_point_info where deleted = false) p " +
                "left join (select * from student_info where deleted = false) st on p.student_id = st.id " +
                "left join (select * from class_info) cl on p.class_id = cl.id ",
        autoMapTo = "p"
)
public class StudentPointWithStudentInfoVo extends StudentPointInfo {

    @DbField("st.student_unique_id")
    private String studentUniqueId;

    @DbField("st.name")
    private String name;

    @DbField("cl.class_name")
    private String className;

    public String getStudentUniqueId() {
        return studentUniqueId;
    }

    public void setStudentUniqueId(String studentUniqueId) {
        this.studentUniqueId = studentUniqueId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }
}
